Skip to main content
GET
/
partner
/
webhooks
List webhook endpoints
curl --request GET \
  --url https://api.example.com/api/v1/partner/webhooks \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": "550e8400-e29b-41d4-a716-446655440000",
    "url": "https://example.com/webhooks/exchange",
    "events": [
      "order.created",
      "order.status_changed"
    ],
    "isActive": true,
    "failCount": 0,
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z"
  }
]

Authorizations

Authorization
string
header
required

Partner API key. Format: sk_branch_<32chars>, sk_personal_<32chars>, or pk_<32chars> (public, read-only)

Response

List of webhook endpoints

id
string<uuid>
Example:

"550e8400-e29b-41d4-a716-446655440000"

url
string<uri>
Example:

"https://example.com/webhooks/exchange"

events
enum<string>[]
Available options:
order.created,
order.status_changed,
order.cancelled,
offer.updated
Example:
["order.created", "order.status_changed"]
isActive
boolean
Example:

true

failCount
integer
Example:

0

createdAt
string<date-time>
updatedAt
string<date-time>